using Harmonia.Core.Data;

namespace Harmonia.Core.Playlists;

public interface IPlaylistRepository : IRepository<Playlist>
{
    Playlist? GetPlaylist(PlaylistSong playlistSong);
    void AddPlaylist();
    void RemovePlaylist(Playlist playlist);

    event EventHandler<PlaylistAddedEventArgs> PlaylistAdded;
    event EventHandler<PlaylistRemovedEventArgs> PlaylistRemoved;
}